gtkmm: Gtk::Notebook_Helpers::PageList Class Reference

gtkmm 2.24.5

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Gtk::Notebook_Helpers::PageList Class Reference

An STL-style container for pages in a Gtk::Notebook. More...

## Public Types
typedef Page | value_type
typedef Page& | reference
typedef const Page& | const_reference
typedef PageIterator | iterator
typedef Glib::List_ConstIterator< iterator > | const_iterator
typedef Glib::List_ReverseIterator< iterator > | reverse_iterator
typedef Glib::List_ConstIterator< reverse_iterator > | const_reverse_iterator
typedef const Element | element_type
typedef size_t | difference_type
typedef size_t | size_type

## Public Member Functions
| PageList ()
| PageList (GtkNotebook*gparent)
| PageList (const PageList& src)
PageList& | operator= (const PageList& src)
GtkNotebook* | gparent ()
const GtkNotebook* | gparent () const
size_type | size () const
size_type | max_size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
value_type | front () const
value_type | back () const
value_type | operator[] (size_type l) const
iterator | insert (iterator position, element_type& e)
template<class InputIterator >
void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
void | erase (iterator start, iterator stop)
iterator | erase (iterator)
void | remove (const_reference child)
void | remove (Widget& w)
void | reorder (iterator loc, iterator page)
iterator | find (int num)
iterator | find (const_reference c)
iterator | find (Widget& w)
iterator | find (GtkNotebookPage* t)
void | pop_front ()
void | pop_back ()
void | clear ()

## Protected Member Functions
iterator | begin_ () const
iterator | end_ () const

## Protected Attributes
GtkNotebook* | gparent_

## Detailed Description

An STL-style container for pages in a Gtk::Notebook.

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc. instead.

## Member Typedef Documentation

## ◆ const_iterator

typedef Glib::List_ConstIterator<iterator> Gtk::Notebook_Helpers::PageList::const_iterator

## ◆ const_reference

typedef const Page& Gtk::Notebook_Helpers::PageList::const_reference

## ◆ const_reverse_iterator

typedef Glib::List_ConstIterator<reverse_iterator> Gtk::Notebook_Helpers::PageList::const_reverse_iterator

## ◆ difference_type

typedef size_t Gtk::Notebook_Helpers::PageList::difference_type

## ◆ element_type

typedef const Element Gtk::Notebook_Helpers::PageList::element_type

## ◆ iterator

typedef PageIterator Gtk::Notebook_Helpers::PageList::iterator

## ◆ reference

typedef Page& Gtk::Notebook_Helpers::PageList::reference

## ◆ reverse_iterator

typedef Glib::List_ReverseIterator<iterator> Gtk::Notebook_Helpers::PageList::reverse_iterator

## ◆ size_type

typedef size_t Gtk::Notebook_Helpers::PageList::size_type

## ◆ value_type

typedef Page Gtk::Notebook_Helpers::PageList::value_type

## Constructor & Destructor Documentation

## ◆ PageList() [1/3]

Gtk::Notebook_Helpers::PageList::PageList | ( |  | ) |

## ◆ PageList() [2/3]

Gtk::Notebook_Helpers::PageList::PageList | ( | GtkNotebook * | gparent | ) |
| explicit

## ◆ PageList() [3/3]

Gtk::Notebook_Helpers::PageList::PageList | ( | const PageList& | src | ) |

## Member Function Documentation

## ◆ back()

value_type Gtk::Notebook_Helpers::PageList::back | ( |  | ) | const

## ◆ begin() [1/2]

iterator Gtk::Notebook_Helpers::PageList::begin | ( |  | ) |
| inline

## ◆ begin() [2/2]

const_iterator Gtk::Notebook_Helpers::PageList::begin | ( |  | ) | const
| inline

## ◆ begin_()

iterator Gtk::Notebook_Helpers::PageList::begin_ | ( |  | ) | const
| protected

## ◆ clear()

void Gtk::Notebook_Helpers::PageList::clear | ( |  | ) |

## ◆ empty()

bool Gtk::Notebook_Helpers::PageList::empty | ( |  | ) | const

## ◆ end() [1/2]

iterator Gtk::Notebook_Helpers::PageList::end | ( |  | ) |
| inline

## ◆ end() [2/2]

const_iterator Gtk::Notebook_Helpers::PageList::end | ( |  | ) | const
| inline

## ◆ end_()

iterator Gtk::Notebook_Helpers::PageList::end_ | ( |  | ) | const
| protected

## ◆ erase() [1/2]

void Gtk::Notebook_Helpers::PageList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  |

## ◆ erase() [2/2]

iterator Gtk::Notebook_Helpers::PageList::erase | ( | iterator |  | ) |

## ◆ find() [1/4]

iterator Gtk::Notebook_Helpers::PageList::find | ( | int | num | ) |

## ◆ find() [2/4]

iterator Gtk::Notebook_Helpers::PageList::find | ( | const_reference | c | ) |

## ◆ find() [3/4]

iterator Gtk::Notebook_Helpers::PageList::find | ( | Widget& | w | ) |

## ◆ find() [4/4]

iterator Gtk::Notebook_Helpers::PageList::find | ( | GtkNotebookPage * | t | ) |

## ◆ front()

value_type Gtk::Notebook_Helpers::PageList::front | ( |  | ) | const

## ◆ gparent() [1/2]

GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent | ( |  | ) |
| inline

## ◆ gparent() [2/2]

const GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent | ( |  | ) | const
| inline

## ◆ insert() [1/2]

iterator Gtk::Notebook_Helpers::PageList::insert | ( | iterator | position,
|  | element_type& | e
| ) |  |

## ◆ insert() [2/2]

template <class InputIterator >

void Gtk::Notebook_Helpers::PageList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) |  |
| inline

## ◆ max_size()

size_type Gtk::Notebook_Helpers::PageList::max_size | ( |  | ) | const

## ◆ operator=()

PageList& Gtk::Notebook_Helpers::PageList::operator= | ( | const PageList& | src | ) |

## ◆ operator[]()

value_type Gtk::Notebook_Helpers::PageList::operator[] | ( | size_type | l | ) | const

## ◆ pop_back()

void Gtk::Notebook_Helpers::PageList::pop_back | ( |  | ) |
| inline

## ◆ pop_front()

void Gtk::Notebook_Helpers::PageList::pop_front | ( |  | ) |
| inline

## ◆ push_back()

void Gtk::Notebook_Helpers::PageList::push_back | ( | element_type& | e | ) |
| inline

## ◆ push_front()

void Gtk::Notebook_Helpers::PageList::push_front | ( | element_type& | e | ) |
| inline

## ◆ rbegin() [1/2]

reverse_iterator Gtk::Notebook_Helpers::PageList::rbegin | ( |  | ) |
| inline

## ◆ rbegin() [2/2]

const_reverse_iterator Gtk::Notebook_Helpers::PageList::rbegin | ( |  | ) | const
| inline

## ◆ remove() [1/2]

void Gtk::Notebook_Helpers::PageList::remove | ( | const_reference | child | ) |

## ◆ remove() [2/2]

void Gtk::Notebook_Helpers::PageList::remove | ( | Widget& | w | ) |

## ◆ rend() [1/2]

reverse_iterator Gtk::Notebook_Helpers::PageList::rend | ( |  | ) |
| inline

## ◆ rend() [2/2]

const_reverse_iterator Gtk::Notebook_Helpers::PageList::rend | ( |  | ) | const
| inline

## ◆ reorder()

void Gtk::Notebook_Helpers::PageList::reorder | ( | iterator | loc,
|  | iterator | page
| ) |  |

## ◆ size()

size_type Gtk::Notebook_Helpers::PageList::size | ( |  | ) | const

## Member Data Documentation

## ◆ gparent_

GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent_
| protected

The documentation for this class was generated from the following file:

- gtkmm/notebook.h